From c3f156f068910a009b0afa72bff9e4764bf5bb10 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 14 Aug 2026 06:31:25 +0000
Subject: [PATCH] bash-completion: upgrade 2.17.0 -> 2.18.0

Source: CHANGELOG.md

# Changelog

## [2.18.0](https://github.com/scop/bash-completion/compare/2.17.0...2.18.0) (2026-07-05)

This release comes with notable changes to the directories used for
looking up and sourcing completion recipes and helpers, allowing for
more flexibility and customization and fewer conflicts between things
shipping with bash-completion and third party/upstream/origin packages.

Files that come with bash-completion itself are located in directories
reserved for that use, their names ending with `-core` and
`-fallback`. Packages should continue install their files in the same
`completions` and `helpers` dirs like before; these directories
precede the bash-completion "core" ones in lookup order.

A new concept of `startup` dirs has been introduced. Files from these
directories are sourced eagerly on bash-completion startup. This
replaces and allows for more flexibility than using the deprecated
`/etc/bash_completion.d` directory for this purpose.

See README.md for more information.

### Features

* **_comp__init:** source system startup files earlier ([b09700d](https://github.com/scop/bash-completion/commit/b09700dda29b56fb89812e1215956a631cc7c848))
* **_comp_compgen_filedir:** automatically add `-f` on _comp_compgen `-C` or `-P` ([#1552](https://github.com/scop/bash-completion/issues/1552)) ([6d5fca6](https://github.com/scop/bash-completion/commit/6d5fca6eaeb4e33750a187072efceecd22e82346))
* **_comp_compgen_filedir:** support "filedir -X" ([ce28419](https://github.com/scop/bash-completion/commit/ce2841911c7a3f5a056b6a310038f0df17a8da42))
* **_comp_compgen_sysv_services:** factorize SysV service generation ([c4c8c4b](https://github.com/scop/bash-completion/commit/c4c8c4b54040d4acc2688ed8fc040330d964fe12))
* **aclocal,automake:** support versioned 1.17 executables ([94bbb3a](https://github.com/scop/bash-completion/commit/94bbb3a1b6fafeac96c27e1899dd5efc920a6a89))
* **aclocal,automake:** support versioned 1.18 executables ([9287b4b](https://github.com/scop/bash-completion/commit/9287b4be2d49be873aded3fb40f56380fd8f97d8))
* **apt-*:** update known options up to apt 3.2.0 ([c421d50](https://github.com/scop/bash-completion/commit/c421d508b6d922ee43364fd9e0d9bc3bddb5f56c))
* **apt-cache:** update known options up to apt 3.2.0 ([0ab85c5](https://github.com/scop/bash-completion/commit/0ab85c5ff2c39300acfce0afde2e65b707e314b4))
* **apt-get:** update known options up to apt 3.2.0 ([6a18e0c](https://github.com/scop/bash-completion/commit/6a18e0c0cf11c9be16616bc817f4613cb9ba95b0))
* **apt-mark:** update known options up to apt 3.2.0 ([644a026](https://github.com/scop/bash-completion/commit/644a0268c117c98a6915dfd23548a3a8b8def6db))
* **codex:** 3rd party fallback completion loader ([0f425bd](https://github.com/scop/bash-completion/commit/0f425bd37c2982b70f6c2ce865eeae0af05a715d))
* **copilot:** 3rd party fallback completion loader ([744602a](https://github.com/scop/bash-completion/commit/744602ac64dc24586e2492813751cc38a0aef2d7))
* **c

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../{bash-completion_2.17.0.bb => bash-completion_2.18.0.bb}    | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-support/bash-completion/{bash-completion_2.17.0.bb => bash-completion_2.18.0.bb} (92%)

diff --git a/meta/recipes-support/bash-completion/bash-completion_2.17.0.bb b/meta/recipes-support/bash-completion/bash-completion_2.18.0.bb
similarity index 92%
rename from meta/recipes-support/bash-completion/bash-completion_2.17.0.bb
rename to meta/recipes-support/bash-completion/bash-completion_2.18.0.bb
index 843b5b831d..c14681bc96 100644
--- a/meta/recipes-support/bash-completion/bash-completion_2.17.0.bb
+++ b/meta/recipes-support/bash-completion/bash-completion_2.18.0.bb
@@ -14,7 +14,7 @@ SECTION = "console/utils"
 
 SRC_URI = "${GITHUB_BASE_URI}/download/${PV}/${BPN}-${PV}.tar.xz"
 
-SRC_URI[sha256sum] = "dd9d825e496435fb3beba3ae7bea9f77e821e894667d07431d1d4c8c570b9e58"
+SRC_URI[sha256sum] = "88bcf85124f77f74f2f2f8bcd16ac4382d807a827ede742a64940c7116aea33f"
 GITHUB_BASE_URI = "https://github.com/scop/bash-completion/releases"
 
 PARALLEL_MAKE = ""
-- 
2.47.1

